// 个人中心路由
import Layout from '@/layout'

const personCenter = [
  {
    path: '/recruit/personal/personalCenter',
    component: Layout,
    name: 'personalCenter',
    meta: {
      title: '个人中心'
    },
    children: [
      {
        path: '/recruit/personal/personalCenter',
        redirect: '/recruit/personal/personalCenter/jobFeedback',
        component: () => import('@/views/recruit/personal/PersonalCenter/index'),
        children: [
          {
            path: '/recruit/personal/personalCenter/jobFeedback',
            name: 'Job Feedback',
            component: () => import('@/views/recruit/personal/PersonalCenter/jobFeedback/index.vue'),
            meta: {
              title: '求职反馈',
              enName: 'Job Feedback',
              icon: 'mdi-account-sync-outline'
            }
          },
          {
            path: '/recruit/personal/personalCenter/wallet',
            name: 'My Wallet',
            component: () => import('@/views/recruit/personal/PersonalCenter/wallet/index.vue'),
            meta: {
              title: '我的钱包',
              enName: 'My Wallet',
              icon: 'mdi-wallet-outline'
            }
          },
          {
            path: '/recruit/personal/personalCenter/taskCenter',
            name: 'Task Center',
            component: () => import('@/views/recruit/personal/PersonalCenter/taskCenter/index.vue'),
            meta: {
              title: '任务中心',
              enName: 'Task Center',
              icon: 'mdi-movie-star-outline'
            }
          },
          {
            path: '/recruit/personal/personalCenter/accountSettings',
            redirect: '/recruit/personal/personalCenter/accountSettings/editPassword',
            name: 'Account Settings',
            meta: {
              title: '账号设置',
              enName: 'Account Settings',
              icon: 'mdi-cog-outline'
            },
            children: [
              {
                path: '/recruit/personal/personalCenter/accountSettings/editPassword',
                component: () => import('@/views/recruit/personal/PersonalCenter/accountSettings/editPassword'),
                meta: {
                  title: '修改密码'
                }
              },
              // {
              //   path: '/recruit/personal/personalCenter/accountSettings/accountBinding',
              //   component: () => import('@/views/recruit/personal/PersonalCenter/accountSettings/accountBinding'),
              //   meta: {
              //     title: '账号绑定'
              //   }
              // },
              // {
              //   path: '/recruit/personal/personalCenter/accountSettings/realAuthentication',
              //   component: () => import('@/views/recruit/personal/PersonalCenter/accountSettings/realAuthentication'),
              //   meta: {
              //     title: '实名认证'
              //   }
              // },
              // {
              //   path: '/recruit/personal/personalCenter/accountSettings/privacySettings',
              //   component: () => import('@/views/recruit/personal/PersonalCenter/accountSettings/privacySettings'),
              //   meta: {
              //     title: '隐私设置'
              //   }
              // }
            ]
          }
        ]
      }
    ]
  },
]

export default personCenter